tigase.server.xmppclient

## Class ClientTrustManagerFactory.ClientTrustVHostItemExtension

- java.lang.Object
- - tigase.vhosts.VHostItemExtension<T>
  - - tigase.vhosts.AbstractVHostItemExtension<ClientTrustManagerFactory.ClientTrustVHostItemExtension>
    - - tigase.server.xmppclient.ClientTrustManagerFactory.ClientTrustVHostItemExtension

- All Implemented Interfaces:
    VHostItemExtensionBackwardCompatible<ClientTrustManagerFactory.ClientTrustVHostItemExtension>, VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>
  Enclosing class:
    ClientTrustManagerFactory

      public static class ClientTrustManagerFactory.ClientTrustVHostItemExtension
      extends AbstractVHostItemExtension<ClientTrustManagerFactory.ClientTrustVHostItemExtension>
      implements VHostItemExtensionBackwardCompatible<ClientTrustManagerFactory.ClientTrustVHostItemExtension>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CA_CERT_PATH`
    `static String` | `CERT_REQUIRED`
    `protected static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTrustVHostItemExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommandFields(String prefix, Packet packet, boolean forDefault)`
    `String` | `getCaCertPath()`
    `String` | `getId()`
    `void` | `initFromCommand(String prefix, Packet packet)`
    `void` | `initFromData(Map<String,Object> data)`
    `void` | `initFromElement(Element item)`
    `Boolean` | `isCertRequired()`
    `ClientTrustManagerFactory.ClientTrustVHostItemExtension` | `mergeWithDefaults(ClientTrustManagerFactory.ClientTrustVHostItemExtension defaults)`
    `String` | `toDebugString()`
    `Element` | `toElement()`

    - ### Methods inherited from class tigase.vhosts.AbstractVHostItemExtension

      `addBooleanFieldWithDefaultToCommand`

    - ### Methods inherited from class tigase.vhosts.VHostItemExtension

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID

          protected static final String ID

      See Also:
        Constant Field Values

    - #### CA_CERT_PATH

          public static final String CA_CERT_PATH

      See Also:
        Constant Field Values

    - #### CERT_REQUIRED

          public static final String CERT_REQUIRED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientTrustVHostItemExtension

          public ClientTrustVHostItemExtension()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

    - #### getCaCertPath

          public String getCaCertPath()

    - #### isCertRequired

          public Boolean isCertRequired()

    - #### initFromElement

          public void initFromElement(Element item)

      Specified by:
        `initFromElement` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

    - #### initFromCommand

          public void initFromCommand(String prefix,
                                      Packet packet)
                               throws IllegalArgumentException

      Specified by:
        `initFromCommand` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`
      Throws:
        `IllegalArgumentException`

    - #### toDebugString

          public String toDebugString()

      Specified by:
        `toDebugString` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

    - #### toElement

          public Element toElement()

      Specified by:
        `toElement` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

    - #### addCommandFields

          public void addCommandFields(String prefix,
                                       Packet packet,
                                       boolean forDefault)

      Specified by:
        `addCommandFields` in interface `VHostItemExtensionIfc<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

    - #### initFromData

          public void initFromData(Map<String,Object> data)

      Specified by:
        `initFromData` in interface `VHostItemExtensionBackwardCompatible<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

    - #### mergeWithDefaults

          public ClientTrustManagerFactory.ClientTrustVHostItemExtension mergeWithDefaults(ClientTrustManagerFactory.ClientTrustVHostItemExtension defaults)

      Specified by:
        `mergeWithDefaults` in class `VHostItemExtension<ClientTrustManagerFactory.ClientTrustVHostItemExtension>`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.